import * as CodeGenerator from 'lowcode-code-generator-ccs/standalone-loader';
import type { ILowCodePluginContext } from '@alilc/lowcode-engine';
import { CodeGenActionBtn } from './components/CodeGenActionBtn';
declare const CodeGeneratorPlugin: {
    (ctx: ILowCodePluginContext, options?: any): {
        exports(): {
            generateCode: typeof CodeGenerator.generateCode;
        };
        init(): Promise<void>;
        destroy(): void;
    };
    pluginName: string;
    meta: {
        preferenceDeclaration: {
            title: string;
            properties: {
                key: string;
                type: string;
                description: string;
            }[];
        };
        dependencies: any[];
        engines: {
            lowcodeEngine: string;
        };
    };
};
export { CodeGenActionBtn, CodeGeneratorPlugin };
